﻿<%@ page title="<%$ Concat:UIStrings.CreateVariant,' » ResourceBlender.NET' %>" language="C#" masterpagefile="~/Layout.master" autoeventwireup="true" inherits="CreateVariant, ResourceBlender.NET-Compiled" %>

<asp:Content ID="cntHead" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="cntMain" ContentPlaceHolderID="cntMain" Runat="Server">
    <h1><asp:Literal ID="Literal1" runat="server" Text="<%$ Resources:UIStrings, CreateVariantDesc %>" /></h1>
    <div class="breadcrumbs">
        <asp:HyperLink ID="lnkNavHome" runat="server" NavigateUrl="~/Default.aspx">ResourceBlender.NET</asp:HyperLink> &gt; <asp:HyperLink ID="lnkNavResources" runat="server" NavigateUrl="~/ResourcesMain.aspx">Resources</asp:HyperLink> &gt; <asp:Literal ID="Literal2" runat="server" Text="<%$ Resources:UIStrings, CreateVariantDesc %>" />
    </div>
    <div class="niceform">
        <asp:MultiView ID="mltMain" runat="server" ActiveViewIndex="0">
            <asp:View ID="viwNoApps" runat="server">
                <p><asp:Literal ID="litAddAppLink" runat="server" /></p>
            </asp:View>
            <asp:View ID="viwStartCopy" runat="server">
                <p><asp:Literal ID="litPageDescription" runat="server" Text="<%$ Resources:UIStrings, CreateVariantLongDesc %>" /></p>
                <fieldset>
                    <legend><asp:Literal ID="Literal4" runat="server" Text="<%$ Resources:UIStrings, LanguagesToDuplicate %>" /></legend>
                    <div class="formrow block twocol">
                        <div class="formcol">
                            <asp:Label ID="lblBaseLanguage" runat="server" AssociatedControlID="lstBaseLanguage" CssClass="block" Text="<%$ Resources:UIStrings, BaseLanguage %>"></asp:Label>
                            <asp:ListBox ID="lstBaseLanguage" runat="server" SelectionMode="Single"
                                Rows="10" Width="100%"></asp:ListBox>
                        </div>
                        <div class="formcol">
                            <asp:Label ID="lblDestinationLanguage" runat="server" AssociatedControlID="lstDestinationLanguage" CssClass="block" Text="<%$ Resources:UIStrings, DestinationLanguage %>"></asp:Label>
                            <asp:ListBox ID="lstDestinationLanguage" runat="server" SelectionMode="Single" 
                                Rows="10" Width="100%"></asp:ListBox>
                        </div>
                        <asp:CustomValidator ID="vldLanguages" runat="server" ErrorMessage="" CssClass="error" ValidationGroup="startcopy"
                            OnServerValidate="vldLanguages_ServerValidate" Display="Dynamic" ValidateEmptyText="true"></asp:CustomValidator>
                    </div>
                </fieldset>
                <fieldset class="autowidth">
                    <legend><asp:Literal ID="Literal5" runat="server" Text="<%$ Resources:UIStrings, Options %>" /></legend>
                    <label class="block"><asp:Literal ID="litIfExists" runat="server" Text="<%$ Resources:UIStrings, IfDestinationLanguageExists %>"></asp:Literal></label>
                    <asp:RadioButtonList ID="radIfExists" runat="server" RepeatLayout="Flow" 
                        CssClass="checks applicationChecks plain">
                        <asp:ListItem Value="leave" Text="<%$ Resources:UIStrings, LeaveExisting %>" Selected="True"></asp:ListItem>
                        <asp:ListItem Value="overwrite" Text="<%$ Resources:UIStrings, OverwriteExistingSourceLanguage %>"></asp:ListItem>
                    </asp:RadioButtonList>
                </fieldset>
                <div class="actions">
                    <asp:Button ID="btnCopyTranslations" runat="server" Text="<%$ Resources:UIStrings, CopyTranslations %>" ValidationGroup="startcopy" CssClass="uniformbutton doublewidth btnCopy"
                        OnClick="btnCopyTranslations_Click" />
                </div>
            </asp:View>
            <asp:View ID="viwSummary" runat="server">
                <asp:Panel ID="pnlSuccess" runat="server" CssClass="successDiv" HorizontalAlign="Left">
                    <h2><asp:Literal ID="Literal6" runat="server" Text="<%$ Resources:UIStrings, Completed %>" /></h2>
                    <asp:PlaceHolder ID="plcSuccess" runat="server"></asp:PlaceHolder>
                </asp:Panel>
                <asp:Panel ID="pnlError" runat="server" CssClass="errorDiv" HorizontalAlign="Left">
                    <h2><asp:Literal ID="Literal7" runat="server" Text="<%$ Resources:Errors, Error %>" /></h2>
                    <asp:PlaceHolder ID="plcErrors" runat="server"></asp:PlaceHolder>
                </asp:Panel>
            </asp:View>
        </asp:MultiView>
    </div>
</asp:Content>

